> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Profile Custom Attributes

> A `POST` to the `/profile/custom-attributes/batch.json` endpoint allows your application to queue profile custom attribute updates from a JSON payload.



## OpenAPI

````yaml post /v3/profile/custom-attributes/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profile/custom-attributes/batch.json:
    post:
      tags:
        - Profile Custom Attribute
      summary: Batch Profile Custom Attributes
      description: >-
        A `POST` to the `/profile/custom-attributes/batch.json` endpoint allows
        your application to queue profile custom attribute updates from a JSON
        payload.
      operationId: profileCustomAttribute.batchJsonUpdate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchCustomAttributeJson'
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        const: Queued for processing.
                      batch_id:
                        type: string
                    required:
                      - message
                      - batch_id
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchCustomAttributeJson:
      type: object
      properties:
        profiles:
          type: array
          items:
            type: object
            properties:
              profile_id:
                type: string
              custom_attributes:
                type: array
                items:
                  type: object
                  properties:
                    namespace:
                      type: string
                    handle:
                      type: string
                    value:
                      type: string
                    type:
                      type:
                        - string
                        - 'null'
                  required:
                    - namespace
                    - handle
                    - value
                minItems: 1
            required:
              - profile_id
              - custom_attributes
          minItems: 1
      required:
        - profiles
      title: BatchCustomAttributeJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````